shadow/tests/passwd/09_passwd_-u_root_unlock_to_empty/passwd.test
2017-10-22 21:03:28 +00:00

55 lines
1.2 KiB
Bash
Executable File

#!/bin/sh
set -e
cd $(dirname $0)
. ../../common/config.sh
. ../../common/log.sh
log_start "$0" "passwd -u cannot create a passwordless account"
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "Unlock foo's password (passwd -u foo)..."
passwd -u foo 2> tmp/passwd.err && exit 1 || {
status=$?
}
echo "OK"
echo -n "Check returned status ($status)..."
test "$status" = "3"
echo "OK"
echo "passwd reported:"
echo "======================================================================="
cat tmp/passwd.err
echo "======================================================================="
echo -n "Check the error message..."
diff -au data/passwd.err tmp/passwd.err
echo "error message OK."
rm -f tmp/passwd.err
echo -n "Check the passwd file..."
../../common/compare_file.pl config/etc/passwd /etc/passwd
echo "OK"
echo -n "Check the group file..."
../../common/compare_file.pl config/etc/group /etc/group
echo "OK"
echo -n "Check the shadow file..."
../../common/compare_file.pl config/etc/shadow /etc/shadow
echo "OK"
echo -n "Check the gshadow file..."
../../common/compare_file.pl config/etc/gshadow /etc/gshadow
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0